For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign upLog in
Developer GuideCore ConceptsAPI Reference
  • API Reference
      • GETList
      • POSTCreate
      • GETGet
      • DELDelete
      • PATCHUpdate
        • GETList
        • DELDelete
        • PATCHUpdate
          • GETList
          • POSTCreate
          • POSTRevoke
LogoLogo
Sign upLog in
API ReferenceOrganizationsUsersInvites

Create

POST
https://api.icepanel.io/v1/organizations/:organizationId/users/invites
POST
/v1/organizations/:organizationId/users/invites
1import { IcePanelClient } from "@icepanel/sdk";
2
3async function main() {
4 const client = new IcePanelClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.organizations.users.invites.create("organizationId", {
8 body: {
9 email: "string",
10 expiresAt: new Date("2024-01-15T09:30:00Z"),
11 permission: "billing",
12 },
13 });
14}
15main();
1{
2 "organizationUserInvite": {
3 "email": "string",
4 "expiresAt": "2024-01-15T09:30:00Z",
5 "permission": "billing",
6 "createdAt": "2024-01-15T09:30:00Z",
7 "createdBy": "user",
8 "createdById": "string",
9 "id": "string",
10 "organizationId": "string",
11 "landscapePermissions": {},
12 "revokedAt": "2024-01-15T09:30:00Z",
13 "revokedBy": "user",
14 "revokedById": "string",
15 "usedAt": "2024-01-15T09:30:00Z",
16 "usedByUserId": "string"
17 }
18}
Was this page helpful?
Previous

Revoke

Next
Built with

Authentication

X-API-Keystring
API key authentication
OR
AuthorizationBearer
Bearer token authentication

Path parameters

organizationIdstringRequired

Request

This endpoint expects an object.
emailstringRequired
expiresAtdatetimeRequired
permissionenumRequired
Allowed values:
landscapePermissionsmap from strings to booleansOptional

Response

OK
organizationUserInviteobject

Errors

401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error